> For the complete documentation index, see [llms.txt](https://docs.ionos.com/terraform-provider/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/terraform-provider/resources/s3_bucket_versioning.md).

# ionoscloud\_s3\_versioning

Manages **Buckets versioning** on IONOS CLOUD.

## Example Usage

```hcl
resource "ionoscloud_s3_bucket" "example" {
  name = "example"
}

resource "ionoscloud_s3_bucket_versioning" "example"{
  bucket = ionoscloud_s3_bucket.example.name
  versioning_configuration {
    status = "Enabled"
  }
}

```

## Argument Reference

The following arguments are supported:

* `bucket` - (Required)\[string] The name of the bucket where the object will be stored.
* `versioning_configuration` - (Required)\[block] A block of versioning\_configuration as defined below.
  * `status` - (Required)\[string] The versioning state of the bucket. Can be `Enabled` or `Suspended`.
  * `mfa_delete` - (Optional)\[string] Specifies whether MFA delete is enabled or not. Can be `Enabled` or `Disabled`.

## Import

IONOS Object Storage Bucket Versioning can be imported using the `bucket` name.

```shell
terraform import ionoscloud_s3_bucket_versioning.example example
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/resources/s3_bucket_versioning.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
